- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

- File List
- Globals

Macros | Functions
escape_unistd.h File Reference

The file that provides functions ported from Unix in unistd.h. More...

## Macros
#define | realpath escape_realpath
#define | readlink escape_readlink
#define | symlink escape_symlink
#define | access escape_access
#define | pipe(fds) escape_pipe(fds)
| Wrapper around escape_pipe().

## Functions
char * | escape_realpath (const char *path, char *resolved_path)
| return the canonicalized absolute pathname More...
ssize_t | escape_readlink (const char *path, char *buf, size_t bufsize)
int | escape_symlink (const char *path1, const char *path2)
int | escape_access (const char *pathname, int mode)
| check real user's permissions for a file More...
int | escape_pipe (int *fds)
| Create a pair of sockets. More...

## Detailed Description

The file that provides functions ported from Unix in unistd.h.